Subject: Re: [Gen-art] Gen-Art review of draft-ietf-multimob-pmipv6-ropt-07.txt

From: Jari Arkko <[email-masked]>
Date: Thu, 15 Aug 2013 18:27:19 +1000

Many thanks for your review, Alexey! And thank you Carlos for updating the draft. I have balloted a No-Objection position, mostly based on the Gen-ART review. I'd normally do a little bit of review myself as well, but I'm on vacation, so I have been unable to review more than a couple of documents this time.

When will the -08 be published.

Jari

On Jul 17, 2013, at 4:42 AM, Carlos Jesús Bernardos Cano <[email-masked]> wrote:

> Hi Alexey,
> 
> Thanks a lot for the review. Please see below some comments inline.
> 
> On Tue, 2013-07-16 at 11:17 +0100, Alexey Melnikov wrote:
>> I am the assigned Gen-ART reviewer for this draft. For background on
>> Gen-ART, please see the FAQ at
>> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>> 
>> Please resolve these comments along with any other Last Call comments
>> you may receive. 
>> 
>> 
>> 
>> Document: draft-ietf-multimob-pmipv6-ropt-07.txt
>> 
>> Reviewer: Alexey Melnikov
>> 
>> Review Date: 16 July 2013
>> 
>> IETF LC End Date: 3 July 2013
>> 
>> IESG Telechat date: 18 July 2013
>> 
>> 
>> 
>> Summary: Ready for publication as an Experimental RFC with some nits
>> 
>> 
>> Major issues: None
>> 
>> 
>> 
>> Minor issues:
>> 
>> 
>> 
>> 
>> In 5.1.2:
>> 
>> Dynamic IP Multicast Selector Mode Flag:
>> 
>>      This field indicates the subscription via MTMA/direct routing
>>      mode.  If the (M) flag value is set to a value of (1), it is an
>>      indication that the IP multicast traffic associated to the
>>      multicast group(s) identified by the Multicast Address Record(s)
>>      in this mobility option SHOULD be routed locally (subscription
>> via
>>      direct routing mode).  If the (M) flag value is set to a value
>> of
>>      (0), it is an indication that IP multicast traffic associated to
>>      the multicast group(s) identified by the Multicast Address
>> Record
>>      in this mobility option(s) SHOULD be routed to the home network,
>>      via the MTMA (subscription via MTMA mode).  All other IP traffic
>>      associated with the mobile node SHOULD be managed according to a
>>      default policy configured at the PMIPv6 multicast domain.
>> 
>> The last sentence: I don't think you should use RFC 2119 SHOULD here.
>> I think you are saying that this document doesn't affect all other IP
>> traffic. So just use "is managed" instead of "SHOULD be managed".
>> 
> OK, updated in version -08 (to be submitted once we get all the
> comments).
> 
>> 
>> Is IANA Considerations section clear to IANA? I suggest you add at
>> least the URI for the IANA registry.
>> Is IANA registration policy compatible with the type of document
>> (Experimental)? I can't check that, as I don't know which registry you
>> are talking about.
>> 
> The IANA has not complained about it, but we will update the text in -08
> so it reads like this:
> 
> 9.  IANA Considerations
> 
>   This document defines a new mobility option, the Dynamic IP Multicast
>   Selector, which has been assigned the Type TBD by IANA.  The Type
>   value for these options has been assigned from the same numbering
>   space as allocated for the other mobility options, as defined in
>   [RFC6275]: http://www.iana.org/assignments/mobility-parameters/
>   mobility-parameters.xhtml.
>> 
>> 
>> 
>> Nits/editorial comments:
>> 
>> 
>> 
>> In 3.3: acronyms PBU and PBA need to be expanded on first use. They
>> are expanded further down in the document.
> 
> Fixed in -08, thanks.
> 
> Thanks again for the review,
> 
> Carlos
>> 
>> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Thu, 15 Aug 2013 14:12:16 +0200

Hi Jari, all,

We have already added all the received comments in the (unpublished) -08
version. We were waiting for the IESG review to be finished to publish
it (to address any additional comments that we may receive). If you
prefer us to publish it already or to make current version available
(without publishing it yet), let us know.

Thanks,

Carlos